﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ELTE.Basics.RectangleWithPoints
{
    class Rectangle // cím szerint kezelt négyzet típus
    {
        private Point _A;
        private Point _B;

        // két konstruktorműveletet definiálunk
        public Rectangle(Int32 aX, Int32 aY, Int32 bX, Int32 bY) // téglalap létrehozása koordináták alapján
        {
            _A = new Point(aX, aY);
            _B = new Point(bX, bY);
        }

        public Rectangle(Point a, Point b) // téglalap létrehozása pontok alapján
        {
            _A = a; _B = b;
        }

        public void Move(Vector v)
        {
            _A.Move(v); _B.Move(v);
        }

        public Int32 Perimeter
        {
            get { return 2 * (Math.Abs(_B.X - _A.X) + Math.Abs(_B.Y - _A.Y)); }
        }

        public Int32 Area 
        {
            get { return Math.Abs(_B.X - _A.X) * Math.Abs(_B.Y - _A.Y); }
        }
    }
}
